//
// ********************************************************************
// * DISCLAIMER                                                       *
// *                                                                  *
// * The following disclaimer summarizes all the specific disclaimers *
// * of contributors to this software. The specific disclaimers,which *
// * govern, are listed with their locations in:                      *
// *   http://cern.ch/geant4/license                                  *
// *                                                                  *
// * Neither the authors of this software system, nor their employing *
// * institutes,nor the agencies providing financial support for this *
// * work  make  any representation or  warranty, express or implied, *
// * regarding  this  software system or assume any liability for its *
// * use.                                                             *
// *                                                                  *
// * This  code  implementation is the  intellectual property  of the *
// * GEANT4 collaboration.                                            *
// * By copying,  distributing  or modifying the Program (or any work *
// * based  on  the Program)  you indicate  your  acceptance of  this *
// * statement, and all its terms.                                    *
// ********************************************************************
//
//
// $Id: IcaDetectorConstructionMessenger.hh,v 1.5 2002/01/09 17:24:11 ranjard Exp $
// GEANT4 tag $Name: geant4-04-00-patch-02 $
//
// 

//....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
//....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......

#ifndef IcaDetectorConstructionMessenger_h
#define IcaDetectorConstructionMessenger_h 1

#include "globals.hh"
#include "G4UImessenger.hh"

class IcaDetectorConstruction;
class G4UIdirectory;
class G4UIcmdWithoutParameter;
class G4UIcmdWithABool;
class G4UIcmdWithADoubleAndUnit;

//....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......

class IcaDetectorConstructionMessenger: public G4UImessenger
{
  public:
    IcaDetectorConstructionMessenger(IcaDetectorConstruction*);
   ~IcaDetectorConstructionMessenger();

    void SetNewValue(G4UIcommand*, G4String);
    G4String GetCurrentValue(G4UIcommand*);

  private:
    IcaDetectorConstruction*   IcaDetector;

    G4UIdirectory*             IcaSimDir;

    G4UIcmdWithoutParameter*    ResCmd;
    G4UIcmdWithABool*        SwitchCmd;
    G4UIcmdWithADoubleAndUnit* TmaxCmd;
    G4UIcmdWithADoubleAndUnit* EminCmd;
    G4UIcmdWithADoubleAndUnit* RminCmd;
    G4UIcmdWithADoubleAndUnit* ALenCmd;
};

//....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......

#endif

// end of file IcaDetectorConstructionMessenger.hh by Jacek M. Holeczek
