//
// ********************************************************************
// * DISCLAIMER                                                       *
// *                                                                  *
// * The following disclaimer summarizes all the specific disclaimers *
// * of contributors to this software. The specific disclaimers,which *
// * govern, are listed with their locations in:                      *
// *   http://cern.ch/geant4/license                                  *
// *                                                                  *
// * Neither the authors of this software system, nor their employing *
// * institutes,nor the agencies providing financial support for this *
// * work  make  any representation or  warranty, express or implied, *
// * regarding  this  software system or assume any liability for its *
// * use.                                                             *
// *                                                                  *
// * This  code  implementation is the  intellectual property  of the *
// * GEANT4 collaboration.                                            *
// * By copying,  distributing  or modifying the Program (or any work *
// * based  on  the Program)  you indicate  your  acceptance of  this *
// * statement, and all its terms.                                    *
// ********************************************************************
//
//
// $Id: IcaPhysicsListMessenger.hh,v 1.2 2001/07/11 09:57:20 gunter Exp $
// GEANT4 tag $Name: geant4-04-00 $
//
// 

//....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo....
//....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo....

#ifndef IcaPhysicsListMessenger_h
#define IcaPhysicsListMessenger_h 1

#include "globals.hh"
#include "G4UImessenger.hh"

class IcaPhysicsList;
class G4UIcmdWithADoubleAndUnit;
class G4UIcmdWithAnInteger;
class G4UIcmdWithADouble;

//....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo....

class IcaPhysicsListMessenger: public G4UImessenger
{
  public:
    IcaPhysicsListMessenger(IcaPhysicsList*);
   ~IcaPhysicsListMessenger();
    
    void SetNewValue(G4UIcommand*, G4String);

  private:
    IcaPhysicsList*          IcaList;

    G4UIcmdWithADoubleAndUnit* CutGCmd;
    G4UIcmdWithADoubleAndUnit* CutECmd;
    G4UIcmdWithADoubleAndUnit* CutMCmd;
    G4UIcmdWithADoubleAndUnit* CutPCmd;
    G4UIcmdWithADoubleAndUnit* CutOCmd;
    G4UIcmdWithADoubleAndUnit* ECmd;
    G4UIcmdWithADoubleAndUnit* RCmd;

    G4UIcmdWithADoubleAndUnit* SetMaxStepCmd;

    G4UIcmdWithADoubleAndUnit* ResCutsCmd;

    G4UIcmdWithAnInteger* MaxPhotCmd;

    G4UIcmdWithADouble* ScinYieldFactorCmd;
};

#endif

// end of file IcaPhysicsListMessenger.hh by Jacek M. Holeczek
