//
// ********************************************************************
// * DISCLAIMER                                                       *
// *                                                                  *
// * The following disclaimer summarizes all the specific disclaimers *
// * of contributors to this software. The specific disclaimers,which *
// * govern, are listed with their locations in:                      *
// *   http://cern.ch/geant4/license                                  *
// *                                                                  *
// * Neither the authors of this software system, nor their employing *
// * institutes,nor the agencies providing financial support for this *
// * work  make  any representation or  warranty, express or implied, *
// * regarding  this  software system or assume any liability for its *
// * use.                                                             *
// *                                                                  *
// * This  code  implementation is the  intellectual property  of the *
// * GEANT4 collaboration.                                            *
// * By copying,  distributing  or modifying the Program (or any work *
// * based  on  the Program)  you indicate  your  acceptance of  this *
// * statement, and all its terms.                                    *
// ********************************************************************
//
//
// $Id: IcaPrimaryGeneratorAction.hh,v 1.2 2001/07/11 09:57:20 gunter Exp $
// GEANT4 tag $Name: geant4-04-00 $
//
// 

//....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo....
//....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo....

#ifndef IcaPrimaryGeneratorAction_h
#define IcaPrimaryGeneratorAction_h 1

#include "G4VUserPrimaryGeneratorAction.hh"
#include "globals.hh"

class G4GeneralParticleSource;
class G4Event;
class IcaDetectorConstruction;
class IcaPrimaryGeneratorActionMessenger;

//....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo....

class IcaPrimaryGeneratorAction : public G4VUserPrimaryGeneratorAction
{
  public:
    IcaPrimaryGeneratorAction(IcaDetectorConstruction* = 0);
   ~IcaPrimaryGeneratorAction();

  public:
    void GeneratePrimaries(G4Event*);
    void SetDefaultKinematic();

  private:
    G4GeneralParticleSource*      particleGun; //pointer a to G4 service class
    IcaDetectorConstruction*      IcaDetector; //pointer to the geometry
    
    IcaPrimaryGeneratorActionMessenger* gunMessenger; //messenger of this class

};

#endif

// end of file IcaPrimaryGeneratorAction.hh by Jacek M. Holeczek
