//
// ********************************************************************
// * DISCLAIMER                                                       *
// *                                                                  *
// * Neither the authors of this software system, nor their employing *
// * institutes,nor the agencies providing financial support for this *
// * work  make  any representation or  warranty, express or implied, *
// * regarding  this  software system or assume any liability for its *
// * use.                                                             *
// *                                                                  *
// * By copying,  distributing  or modifying the Program (or any work *
// * based  on  the Program)  you indicate  your  acceptance of  this *
// * statement, and all its terms.                                    *
// ********************************************************************
//
//

#ifndef IcaStackingAction_H
#define IcaStackingAction_H 1

#include "globals.hh"
#include "G4UserStackingAction.hh"

class IcaStackingActionMessenger;
class G4Track;

class IcaStackingAction : public G4UserStackingAction
{
  public:
    IcaStackingAction();
    virtual ~IcaStackingAction();

  public:
    virtual G4ClassificationOfNewTrack ClassifyNewTrack(const G4Track* aTrack);
    virtual void NewStage();
    virtual void PrepareNewEvent();

  private:
    IcaStackingActionMessenger* theMessenger;

    G4bool StackingOfSecondariesFlag;

  public:
    inline void SetStackingOfSecondariesFlag(G4bool val)     {StackingOfSecondariesFlag  = val;};

};

#endif

// end of file IcaStackingAction.hh by Jacek M. Holeczek
