//
// ********************************************************************
// * DISCLAIMER                                                       *
// *                                                                  *
// * The following disclaimer summarizes all the specific disclaimers *
// * of contributors to this software. The specific disclaimers,which *
// * govern, are listed with their locations in:                      *
// *   http://cern.ch/geant4/license                                  *
// *                                                                  *
// * Neither the authors of this software system, nor their employing *
// * institutes,nor the agencies providing financial support for this *
// * work  make  any representation or  warranty, express or implied, *
// * regarding  this  software system or assume any liability for its *
// * use.                                                             *
// *                                                                  *
// * This  code  implementation is the  intellectual property  of the *
// * GEANT4 collaboration.                                            *
// * By copying,  distributing  or modifying the Program (or any work *
// * based  on  the Program)  you indicate  your  acceptance of  this *
// * statement, and all its terms.                                    *
// ********************************************************************
//
//
// $Id: IcaSteppingActionMessenger.hh,v 1.4 2002/01/09 17:24:19 ranjard Exp $
// GEANT4 tag $Name: geant4-04-00-patch-02 $
//

#ifndef IcaSteppingActionMessenger_h
#define IcaSteppingActionMessenger_h 1

#include "globals.hh"
#include "G4UImessenger.hh"
#include "G4UIcommand.hh"

class IcaSteppingAction;
class G4UIdirectory;
class G4UIcmdWithAString;

class IcaSteppingActionMessenger: public G4UImessenger
{
  public:
    IcaSteppingActionMessenger(IcaSteppingAction *SA);
    ~IcaSteppingActionMessenger();
    void SetNewValue(G4UIcommand* command, G4String newValue);
  private:
    IcaSteppingAction*   SteppingAction;
    G4UIcmdWithAString*  drawStepCmd;
};

#endif

// end of file IcaSteppingActionMessenger.hh by Jacek M. Holeczek
