//
// ********************************************************************
// * DISCLAIMER                                                       *
// *                                                                  *
// * The following disclaimer summarizes all the specific disclaimers *
// * of contributors to this software. The specific disclaimers,which *
// * govern, are listed with their locations in:                      *
// *   http://cern.ch/geant4/license                                  *
// *                                                                  *
// * Neither the authors of this software system, nor their employing *
// * institutes,nor the agencies providing financial support for this *
// * work  make  any representation or  warranty, express or implied, *
// * regarding  this  software system or assume any liability for its *
// * use.                                                             *
// *                                                                  *
// * This  code  implementation is the  intellectual property  of the *
// * GEANT4 collaboration.                                            *
// * By copying,  distributing  or modifying the Program (or any work *
// * based  on  the Program)  you indicate  your  acceptance of  this *
// * statement, and all its terms.                                    *
// ********************************************************************
//
//
// $Id: IcaSteppingVerbose.hh,v 1.3 2001/10/15 17:20:36 gcosmo Exp $
// GEANT4 tag $Name: geant4-04-00 $
//
//  
//---------------------------------------------------------------
//
// IcaSteppingVerbose.hh
//
// Description:
//   This class manages the vervose outputs in G4SteppingManager. 
//   
//
// Contact:
//   Questions and comments to this code should be sent to
//     Katsuya Amako  (e-mail: Katsuya.Amako@kek.jp)
//     Takashi Sasaki (e-mail: Takashi.Sasaki@kek.jp)
//
//---------------------------------------------------------------

#ifndef IcaSteppingVerbose_h
#define IcaSteppingVerbose_h 1

#include "G4SteppingVerbose.hh"

class IcaSteppingVerbose : public G4SteppingVerbose 
{
  public:   

    IcaSteppingVerbose();
   ~IcaSteppingVerbose();
      // Constructor/Destructor

    void StepInfo();
    void TrackingStarted();

};

#endif

// end of file IcaSteppingVerbose.hh by Jacek M. Holeczek
