#include "G4.hxx"

#if !defined (__CINT__) && !defined (__MAKECINT__)

#include "IcaAnalysisExample.hh"

#include "IcaAnalysisManager.hh"

#include "IcaDetectorConstruction.hh"
#include "IcaDetectorConstructionMessenger.hh"

#include "IcaEventAction.hh"
#include "IcaEventActionMessenger.hh"

#include "IcaMaxTimeCuts.hh"
#include "IcaMinEkineCuts.hh"
#include "IcaMinRangeCuts.hh"

#include "IcaPhysicsList.hh"
#include "IcaPhysicsListMessenger.hh"

#include "IcaPrimaryGeneratorAction.hh"
#include "IcaPrimaryGeneratorActionMessenger.hh"

#include "IcaRunAction.hh"
#include "IcaRunActionMessenger.hh"

#include "IcaSpecialCuts.hh"

#include "IcaStackingAction.hh"
#include "IcaStackingActionMessenger.hh"

#include "IcaStepCut.hh"

#include "IcaSteppingAction.hh"
#include "IcaSteppingActionMessenger.hh"

#include "IcaSteppingVerbose.hh"

#include "IcaTrackingAction.hh"
#include "IcaTrackingActionMessenger.hh"

#include "IcaVisManager.hh"

#endif /* !defined (__CINT__) && !defined (__MAKECINT__) */

G4CLASS(IcaAnalysisManager);
extern IcaAnalysisManager *gIcaAnalysisManager;

G4CLASS(IcaAnalysisExample);

G4USERINITIALIZATION(IcaDetectorConstruction);

G4USERACTION(IcaEventAction);

G4USERINITIALIZATION(IcaPhysicsList);
G4USERINITIALIZATION1(IcaPhysicsList,IcaDetectorConstruction);

G4USERACTION(IcaPrimaryGeneratorAction);
G4USERACTION1(IcaPrimaryGeneratorAction,IcaDetectorConstruction);

G4USERACTION(IcaRunAction);

G4USERACTION(IcaStackingAction);

G4USERACTION(IcaSteppingAction);
G4USERACTION1(IcaSteppingAction,IcaEventAction);

G4STEPPINGVERBOSE(IcaSteppingVerbose);

G4USERACTION(IcaTrackingAction);

G4VISMANAGER(IcaVisManager);

/* end of file s.cxx for IcaG4 by Jacek M. Holeczek */
