//
// ********************************************************************
// * DISCLAIMER                                                       *
// *                                                                  *
// * The following disclaimer summarizes all the specific disclaimers *
// * of contributors to this software. The specific disclaimers,which *
// * govern, are listed with their locations in:                      *
// *   http://cern.ch/geant4/license                                  *
// *                                                                  *
// * Neither the authors of this software system, nor their employing *
// * institutes,nor the agencies providing financial support for this *
// * work  make  any representation or  warranty, express or implied, *
// * regarding  this  software system or assume any liability for its *
// * use.                                                             *
// *                                                                  *
// * This  code  implementation is the  intellectual property  of the *
// * GEANT4 collaboration.                                            *
// * By copying,  distributing  or modifying the Program (or any work *
// * based  on  the Program)  you indicate  your  acceptance of  this *
// * statement, and all its terms.                                    *
// ********************************************************************
//
//
// $Id: IcaSteppingActionMessenger.cc,v 1.4 2002/01/09 17:24:20 ranjard Exp $
// GEANT4 tag $Name: geant4-04-00-patch-02 $
//

#include "IcaSteppingActionMessenger.hh"
#include "IcaSteppingAction.hh"

#include "globals.hh"
#include "G4UIdirectory.hh"
#include "G4UIcmdWithAString.hh"

IcaSteppingActionMessenger::IcaSteppingActionMessenger(IcaSteppingAction* SA)
:SteppingAction(SA)
{
  drawStepCmd = new G4UIcmdWithAString("/Simulation/SetDrawStepsFlag",this);
  drawStepCmd->SetGuidance("Draw steps on the fly (if DrawTracksFlag == custom).");
  drawStepCmd->SetGuidance("  Choices : all, charged, neutral, none");
  drawStepCmd->SetParameterName("DrawStepsFlag", false);
  drawStepCmd->SetDefaultValue("all");
  drawStepCmd->SetCandidates("all charged neutral none ");
  drawStepCmd->AvailableForStates(G4State_Idle);
}

IcaSteppingActionMessenger::~IcaSteppingActionMessenger()
{
  delete drawStepCmd;
}

void IcaSteppingActionMessenger::SetNewValue(G4UIcommand* command, G4String newValue)
{
  if( command == drawStepCmd )
    { SteppingAction->SetDrawFlag(newValue); }
}

// end of file IcaSteppingActionMessenger.cc by Jacek M. Holeczek
